Subject: Re: C++ ambiguous template specialization (cygwin only)
From: Tatsuro MATSUOKA <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Fri, 30 Jan 2009 19:39:45 +0900 (JST)
List-Id: <cygwin.cygwin.com>

Hello

Sorry this is not answer.

I have also met the same problem and I have not been able to build Octave-3.1 branch.

I have an experience to build octave-3.1.50 on mingw.
No similar kinds of errors did not occur. 

Regards

Tatsuro

--- Marco Atzeri wrote:

> Dear all,
> unfortunately I am not too much familiar with C++,
> so I have no clue where to look for difference
> between Cygwin and all the other platforms where this
> problem does not happen.
> 
> Only on cygwin, both with gcc-3 and gcc-4, 
> the building from last development
> sources of octave-3.1.51+  stop here:
> 
> ../../octave_local/liboctave/oct-inttypes.cc:516:
> error: ambiguous template specialization
> `mop<octave_int_cmp_op::ne>' for `bool octave         
> _int_cmp_op::mop(uint64_t, double)'
> ../../octave_local/liboctave/oct-inttypes.h: In
> function `bool operator<(const double&, const
> octave_int<T>&) [with T = uint64_t]':
> ../../octave_local/liboctave/oct-inttypes.cc:402:  
> instantiated from here
> ../../octave_local/liboctave/oct-inttypes.h:1054:
> error: call of overloaded `mop(const double&,
> uint64_t)' is ambiguous
> ../../octave_local/liboctave/oct-inttypes.h:193: note:
> candidates are: static bool octave_int_cmp_op::mop(T,
> double) [with xop = octave_          int_cmp_op::lt, T
> = double]
> ../../octave_local/liboctave/oct-inttypes.h:198: note:
>  static bool octave_int_cmp_op::mop(double, T) [with
> xop = octave_int_cmp_op::lt,           T = long long
> unsigned int]
> ../../octave_local/liboctave/oct-inttypes.cc:60: note:
>  static bool octave_int_cmp_op::mop(uint64_t, double)
> [with xop = octave_int_cmp_          op::lt]
> ../../octave_local/liboctave/oct-inttypes.cc:80: note:
>  static bool octave_int_cmp_op::mop(int64_t, double)
> [with xop = octave_int_cmp_o          p::lt]
> ../../octave_local/liboctave/oct-inttypes.cc:127:
> note:  static bool octave_int_cmp_op::mop(double,
> uint64_t) [with xop = octave_int_cmp          _op::lt]
> ../../octave_local/liboctave/oct-inttypes.cc:135:
> note:  static bool octave_int_cmp_op::mop(double,
> int64_t) [with xop = octave_int_cmp_          op::lt]
> 
> 
> Any suggestion ?
> Thanks
> Marco
> 
> 
> 
>       Passa a Yahoo! Mail.
> 
> La webmail che ti offre GRATIS spazio illimitato, 
> antispam e messenger integrato.
> http://it.mail.yahoo.com/              
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--------------------------------------
Power up the Internet with Yahoo! Toolbar.
http://pr.mail.yahoo.co.jp/toolbar/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/